package com.ruoyi.tuya.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台游记对象 bus_travel
 *
 * @author zf
 * @date 2022-07-20
 */
public class BusTravel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private String code;

    /** 头部图片 */
    @Excel(name = "头部图片")
    private String titleImg;

    /** 简介 */
    @Excel(name = "简介")
    private String synopsis;

    /** 简介视频 */
    @Excel(name = "简介视频")
    private String videoUrl;

    /** 简介图片 */
    @Excel(name = "简介图片")
    private String imgUrl;

    /** 编号 */
    @Excel(name = "编号")
    private String uuid;

    /** 游记状态 0未发布；1已发布 */
    @Excel(name = "游记状态 0未发布；1已发布")
    private String stateType;

    /** 游玩时间 */
    @Excel(name = "游玩时间")
    private String travelDate;

    /** 游玩天数 */
    @Excel(name = "游玩天数")
    private String travelDay;

    /** 人均消费 */
    @Excel(name = "人均消费")
    private Long capita;

    /** 人物 */
    @Excel(name = "人物")
    private String figure;

    /** 玩法 */
    @Excel(name = "玩法")
    private String playType;

    /** 时节 */
    @Excel(name = "时节")
    private String season;

    /** 目的地 */
    @Excel(name = "目的地")
    private String destination;

    /** 建档日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "建档日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jdrq;

    /** 人数 */
    @Excel(name = "人数")
    private String peopleAll;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 游记标题 */
    @Excel(name = "游记标题")
    private String titleTravel;

    /** 需求编号 */
    @Excel(name = "需求编号")
    private String demandUuid;

    /** 查看数量 */
    @Excel(name = "查看数量")
    private Long lookNum;

    /** 地点标题 */
    @Excel(name = "地点标题")
    private String titleDayName;

    /** 金额 */
    @Excel(name = "金额")
    private Long amount;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setTitleImg(String titleImg)
    {
        this.titleImg = titleImg;
    }

    public String getTitleImg()
    {
        return titleImg;
    }
    public void setSynopsis(String synopsis)
    {
        this.synopsis = synopsis;
    }

    public String getSynopsis()
    {
        return synopsis;
    }
    public void setVideoUrl(String videoUrl)
    {
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl()
    {
        return videoUrl;
    }
    public void setImgUrl(String imgUrl)
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl()
    {
        return imgUrl;
    }
    public void setUuid(String uuid)
    {
        this.uuid = uuid;
    }

    public String getUuid()
    {
        return uuid;
    }
    public void setStateType(String stateType)
    {
        this.stateType = stateType;
    }

    public String getStateType()
    {
        return stateType;
    }
    public void setTravelDate(String travelDate)
    {
        this.travelDate = travelDate;
    }

    public String getTravelDate()
    {
        return travelDate;
    }
    public void setTravelDay(String travelDay)
    {
        this.travelDay = travelDay;
    }

    public String getTravelDay()
    {
        return travelDay;
    }
    public void setCapita(Long capita)
    {
        this.capita = capita;
    }

    public Long getCapita()
    {
        return capita;
    }
    public void setFigure(String figure)
    {
        this.figure = figure;
    }

    public String getFigure()
    {
        return figure;
    }
    public void setPlayType(String playType)
    {
        this.playType = playType;
    }

    public String getPlayType()
    {
        return playType;
    }
    public void setSeason(String season)
    {
        this.season = season;
    }

    public String getSeason()
    {
        return season;
    }
    public void setDestination(String destination)
    {
        this.destination = destination;
    }

    public String getDestination()
    {
        return destination;
    }
    public void setJdrq(Date jdrq)
    {
        this.jdrq = jdrq;
    }

    public Date getJdrq()
    {
        return jdrq;
    }
    public void setPeopleAll(String peopleAll)
    {
        this.peopleAll = peopleAll;
    }

    public String getPeopleAll()
    {
        return peopleAll;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setTitleTravel(String titleTravel)
    {
        this.titleTravel = titleTravel;
    }

    public String getTitleTravel()
    {
        return titleTravel;
    }
    public void setDemandUuid(String demandUuid)
    {
        this.demandUuid = demandUuid;
    }

    public String getDemandUuid()
    {
        return demandUuid;
    }
    public void setLookNum(Long lookNum)
    {
        this.lookNum = lookNum;
    }

    public Long getLookNum()
    {
        return lookNum;
    }
    public void setTitleDayName(String titleDayName)
    {
        this.titleDayName = titleDayName;
    }

    public String getTitleDayName()
    {
        return titleDayName;
    }
    public void setAmount(Long amount)
    {
        this.amount = amount;
    }

    public Long getAmount()
    {
        return amount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("titleImg", getTitleImg())
            .append("synopsis", getSynopsis())
            .append("videoUrl", getVideoUrl())
            .append("imgUrl", getImgUrl())
            .append("uuid", getUuid())
            .append("stateType", getStateType())
            .append("travelDate", getTravelDate())
            .append("travelDay", getTravelDay())
            .append("capita", getCapita())
            .append("figure", getFigure())
            .append("playType", getPlayType())
            .append("season", getSeason())
            .append("destination", getDestination())
            .append("jdrq", getJdrq())
            .append("peopleAll", getPeopleAll())
            .append("title", getTitle())
            .append("titleTravel", getTitleTravel())
            .append("demandUuid", getDemandUuid())
            .append("lookNum", getLookNum())
            .append("titleDayName", getTitleDayName())
            .append("amount", getAmount())
            .toString();
    }
}
